#include <stdio.h>
#include <stdlib.h>
#include <locale.h>

//Artur e Gabriel

int main()
{
    setlocale(LC_ALL, "Portuguese");

    int n, i, *nums;

    FILE *arq;
    arq = fopen("grafico.txt","w");

    printf("Entre com a quantidade de números: ");
    scanf("%d", &n);

    nums = (int *) malloc(n*sizeof(int));

    if(nums==NULL){
      printf("\nMemória insuficiente.");

      system("pause");
      exit(1);
    }

    printf("\n Entre com os valores: ");
    for(i=0;i<n;i++){

 scanf("%d", &nums[i]);
    }
  imprime_grafico(arq, nums, n);

  printf("Sequência registrada.\n");

  free(nums);
  fclose(arq);

    return 0;
}

void imprime_grafico(FILE *nome_arq, int *vetor, int tamanho){

int i, j;

for(i=0;i<tamanho;i++){

   fprintf(nome_arq, " %d| ", vetor[i]);

    for(j=0;j<vetor[i];j++){

     fprintf(nome_arq, "x");

        if((j+1)==vetor[i]){
            fprintf(nome_arq, "\n");
        }
    }
}
return;
}
